# RadioLib: SSTVClient Class Reference

SSTVClient Class Reference

Client for SSTV transmissions. More...

`#include <SSTV.h>`

## Public Member Functions

| SSTVClient (PhysicalLayer *phy)
| Constructor for 2-FSK mode. More...
| SSTVClient (AFSKClient *audio)
| Constructor for AFSK mode. More...
int16_t | begin (float base, const SSTVMode_t &mode)
| Initialization method for 2-FSK. More...
int16_t | begin (const SSTVMode_t &mode)
| Initialization method for AFSK. More...
int16_t | setCorrection (float correction)
| Set correction coefficient for tone length. More...
void | idle ()
| Sends out tone at 1900 Hz.
void | sendHeader ()
| Sends synchronization header for the SSTV mode set in begin method.
void | sendLine (const uint32_t *imgLine)
| Sends single picture line in the currently configured SSTV mode. More...
uint16_t | getPictureHeight () const
| Get picture height of the currently configured SSTV mode. More...

## Detailed Description

Client for SSTV transmissions.

## Constructor & Destructor Documentation

## SSTVClient() [1/2]

SSTVClient::SSTVClient | ( | PhysicalLayer * | phy | ) |

explicit

Constructor for 2-FSK mode.

Parameters

  phy | Pointer to the wireless module providing PhysicalLayer communication.

## SSTVClient() [2/2]

SSTVClient::SSTVClient | ( | AFSKClient * | audio | ) |

explicit

Constructor for AFSK mode.

Parameters

  audio | Pointer to the AFSK instance providing audio.

## Member Function Documentation

## begin() [1/2]

int16_t SSTVClient::begin | ( | const SSTVMode_t & | mode | ) |

Initialization method for AFSK.

Parameters

  mode | SSTV mode to be used. Currently supported modes are Scottie1, Scottie2, ScottieDX, Martin1, Martin2, Wrasse, PasokonP3, PasokonP5 and PasokonP7.

Returns
  Status Codes

## begin() [2/2]

int16_t SSTVClient::begin | ( | float | base,
|  | const SSTVMode_t & | mode
| ) |  |

Initialization method for 2-FSK.

Parameters

  base | Base "0 Hz tone" RF frequency to be used in MHz.
  mode | SSTV mode to be used. Currently supported modes are Scottie1, Scottie2, ScottieDX, Martin1, Martin2, Wrasse, PasokonP3, PasokonP5 and PasokonP7.

Returns
  Status Codes

## getPictureHeight()

uint16_t SSTVClient::getPictureHeight | ( |  | ) | const

Get picture height of the currently configured SSTV mode.

Returns
  Picture height of the currently configured SSTV mode in pixels.

## sendLine()

void SSTVClient::sendLine | ( | const uint32_t * | imgLine | ) |

Sends single picture line in the currently configured SSTV mode.

Parameters

  imgLine | Image line to send, in 24-bit RGB. It is up to the user to ensure that imgLine has enough pixels to send it in the current SSTV mode.

## setCorrection()

int16_t SSTVClient::setCorrection | ( | float | correction | ) |

Set correction coefficient for tone length.

Parameters

  correction | Timing correction factor, used to adjust the length of timing pulses. Less than 1.0 leads to shorter timing pulses, defaults to 1.0 (no correction).

Returns
  Status Codes

The documentation for this class was generated from the following files:

- src/protocols/SSTV/SSTV.h
- src/protocols/SSTV/SSTV.cpp